***Sintax ENADID 1997, BASE DE DATOS HISTORIA DE EMBARAZOS***
*** Base de datos: ENADID97_hist-emb.sav***

*** ETIQUETAR Y CODIFICAR VARIABLES DE LA BASE HISTORIA DE EMBARAZOS***

***1.***

Variable Labels ent 'ent Entidad'.
Value Labels ent
01	'Aguascalientes'
02	'Baja California'
03	'Baja California Sur'
04	'Campeche'
05	'Coahuila'
06	'Colima'
07	'Chiapas'
08	'Chihuahua'
09	'Distrito Federal'
10	'Durango'
11	'Guanajuato'
12	'Guerrero'
13	'Hidalgo'
14	'Jalisco'
15	'Mxico'
16	'Michoacn'
17	'Morelos'
18	'Nayarit'
19	'Nuevo Len'
20	'Oaxaca'
21	'Puebla'
22	'Quertaro'
23	'Quintana Roo'
24	'San Luis Potos'
25	'Sinaloa'
26	'Sonora'
27	'Tabasco'
28	'Tamaulipas'
29	'Tlaxcala'
30	'Veracruz'
31	'Yucatn'
32	'Zacatecas'
33	'frica'
34	'Amrica'
35	'Estados Unidos de Amrica'
36	'Asia'
37	'Europa'
38	'Oceana'
70	'Estados Unidos Mexicanos'
99	'No especificado'.
Execute .

***2.***

Variable Labels mun 'mun Municipio'.
Execute .

***3.***

Variable Labels zona 'zona Zona'.
Value Labels zona
01	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
02	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
03	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
04	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
05	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
06	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
07	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
20	'Localidades de 90 000 a 99 999 habitantes'
30	'Localidades de 50 000 a 89 999 habitantes'
40	'Localidades de 15 000 a 49 999 habitantes'
50	'Localidades de 2 500 a 14 999 habitantes'
60	'Menores de 2 500 habitantes'.
Execute .

***4.***

Variable Labels estrato 'estrato Estrato'.
Execute .

***5.***

Variable Labels tam_loc 'tam_loc Tamao de localidad'.
Value Labels tam_loc
1  'Menor a 2 500 habitantes'
2  '2 500 a 14 999 habitantes'
3  '15 000 a 19 999 habitantes'
4  '20 000 a 99 999 habitantes'
5  '100 000 y ms habitantes'.
Execute .

***6.***

Variable Labels upm 'upm Nmero de control'.
Execute .

***7.***

Variable Labels f_viv 'f_viv Folio de vivienda'.
Execute .

***8.***

Variable Labels hogar 'hogar Nmero de hogar en la vivienda'.
Execute .

***9.***

Variable Labels fac_muj 'fac_muj Factor de expansin (mujer)'.
Execute .

***10.***

Variable Labels p3_1 'p3_1 Nmero de registro de la mujer en la seccin III Datos Generales'.
Execute .

***11.***

Variable Labels p9_10 'p9_10 Nmero de registro del hijo actualmente vivo'.
Execute .

***12.***

Variable Labels p9_11 'p9_11 Condicin de residencia de los hijos actualmente vivosVive con usted en este hogar?'.
Value Labels p9_11	1 'S'
			2 'No'.
Execute .

***13***

Variable Labels p9_12 'p9_12 Sexo de los hijos actualmente vivos'.
Value Labels p9_12	1 'Hombre'
			2 'Mujer'.
Execute .

***14.***

Variable Labels p9_13 'p9_13 Edad de los hijos actualmente vivos'.
Value Labels p9_13	00 'Menos de un ao'
			99 'No especificado'.
Execute .

***15.***

Variable Labels p9_15 'p9_15 Sexo de los hijos actualmente fallecidos'.
Value Labels p9_15	1 'Hombre'
			2 'Mujer'.
Execute .

***16.***

Variable Labels p9_16a 'p9_16a Edad de los hijos actualmente fallecidos_Das'.
Value Labels p9_16a	00 'Menos de un da'
			99 'No especificado'.
Execute .

***17.***

Variable Labels p9_16b 'p9_16b Edad de los hijos actualmente fallecidos_Meses'.
Execute .

***18.***

Variable Labels p9_16c 'p9_16c Edad de los hijos actualmente fallecidos_Aos'.
Execute .

***19.***

Variable Labels p9_17a 'p9_17a Cul fue la fecha de nacimiento (prdida)?_Mes'.
Value Labels p9_17a
1	'Enero'
2	'Febrero'
3	'Marzo'
4	'Abril'
5	'Mayo'
6	'Junio'
7	'Julio'
8	'Agosto'
9	'Septiembre'
10	'Octubre'
11	'Noviembre'
12	'Diciembre'
99	'No especificado'.
Execute .

***20.***

Variable Labels p9_17b 'p9_17b Cul fue la fecha de nacimiento (prdida)?_Ao'.
Value Labels p9_17b	99 'No especificado'.
Execute .

***21.***

Variable Labels p9_20 'p9_20 Mortinatos A los cuntos meses de embarazo tuvo a su primer (segundo, etc.) hijo nacido muerto?'.
Value Labels p9_20	99 'No especificado'.
Execute .

***22.***

Variable Labels p9_21 'p9_21 Mortinatos Dio alguna seal de vida como movimiento, llanto o respiro?'.
Value Labels p9_21	2 'No'
			9 'No sabe'.
Execute .

***23.***

Variable Labels p9_24 'p9_24 Abortos Cuntos meses de embarazo tena cuando ocurri su primer (segundo, etc.) prdida (aborto)?'.
Value Labels p9_24	9 'No especificado'.
Execute .

***24.***

Variable Labels p9_25 'p9_25 Intervalos Tuvo algn embarazo entre (NOMBRE) y (NOMBRE)?'.
Value Labels p9_25	1 'S'
			2 'No'.
Execute .


***25.***

Variable Labels p9_40 'p9_40 Tipo de resultado de embarazo'.
Value Labels p9_40	1 'Actualmente vivo'
			2 'Actualmente fallecido'
			3 'Mortinato'
			4 'Aborto'.
Execute .

***26.***

Variable Labels p9_41 'p9_41 Orden del embarazo'.
Execute .

***27.***

Variable Labels p10_1a 'p10_1a En qu estado de la Repblica o pas viva usted cuando naci (NOMBRE)?'.
Value Labels p10_1a	
01	'Aguascalientes'
02	'Baja California'
03	'Baja California Sur'
04	'Campeche'
05	'Coahuila'
06	'Colima'
07	'Chiapas'
08	'Chihuahua'
09	'Distrito Federal'
10	'Durango'
11	'Guanajuato'
12	'Guerrero'
13	'Hidalgo'
14	'Jalisco'
15	'Mxico'
16	'Michoacn'
17	'Morelos'
18	'Nayarit'
19	'Nuevo Len'
20	'Oaxaca'
21	'Puebla'
22	'Quertaro'
23	'Quintana Roo'
24	'San Luis Potos'
25	'Sinaloa'
26	'Sonora'
27	'Tabasco'
28	'Tamaulipas'
29	'Tlaxcala'
30	'Veracruz'
31	'Yucatn'
32	'Zacatecas'
33	'frica'
34	'Amrica'
35	'Estados Unidos de Amrica'
36	'Asia'
37	'Europa'
38	'Oceana'
70	'Estados Unidos Mexicanos'
99	'No especificado'.
Execute .

***28.***

Variable Labels p10_2 'p10_2 Registraron el nacimiento de ___ en el registro civil?'.
Value Labels p10_2
2	'S'
3	'No'
4	'Hijos nacidos en el extranjero de madre extranjera y registrados en el pas de origen de la madre'
5	'Hijos nacidos en el extranjero de madre mexicana, registrados en el extranjero'
6	'Hijos nacidos en el extranjero de madre extranjera y sin registro'
7	'Hijos nacidos en el extranjero de madre mexicana y sin registro'
9	'No sabe'.
Execute .

***29.***

Variable Labels p10_3a 'p10_3a En qu estado de la Repblica o pas registraron a ___?'.
Value Labels p10_3a
01	'Aguascalientes'
02	'Baja California'
03	'Baja California Sur'
04	'Campeche'
05	'Coahuila'
06	'Colima'
07	'Chiapas'
08	'Chihuahua'
09	'Distrito Federal'
10	'Durango'
11	'Guanajuato'
12	'Guerrero'
13	'Hidalgo'
14	'Jalisco'
15	'Mxico'
16	'Michoacn'
17	'Morelos'
18	'Nayarit'
19	'Nuevo Len'
20	'Oaxaca'
21	'Puebla'
22	'Quertaro'
23	'Quintana Roo'
24	'San Luis Potos'
25	'Sinaloa'
26	'Sonora'
27	'Tabasco'
28	'Tamaulipas'
29	'Tlaxcala'
30	'Veracruz'
31	'Yucatn'
32	'Zacatecas'
33	'frica'
34	'Amrica'
35	'Estados Unidos de Amrica'
36	'Asia'
37	'Europa'
38	'Oceana'
70	'Estados Unidos Mexicanos'
99	'No especificado'.
Execute .

***30.***

Variable Labels p10_4a 'p10_4a Edad al registro_Meses'.
Value Labels p10_4a	0   'Menos de un mes'
			99 'No sabe'.
Execute .

***31.***

Variable Labels p10_4b 'p10_4b Edad al registro_Aos'.
Value Labels p10_4b	99  'No sabe'.
Execute .

***32.***

Variable Labels p10_5 'p10_5 Registro mltiple. Nmero de veces que se registr'.
Value Labels p10_5	0 'Ninguno'
			9 'No especificado'.
Execute .

***33.***

Variable Labels p10_6 'p10_6 Un mdico o persona autorizada le(s) dio un certificado de la muerte o papel donde dice de qu muri___?'.
Value Labels p10_6	1 'S'
			2 'No'
			9 'No sabe'.
Execute .

***34.***

Variable Labels p10_7 'p10_7 Registraron la muerte de___en el registro civil?'.
Value Labels p10_7	3 'S'
			4 'No'
			9 'No sabe'.
Execute .



***************************************
*** PEGAR BASES DE DATOS
***************************************

*** I M P O R T A N T E
*** Tener en cuenta que si se desea realizar el pegado de bases nuevamente es necesario modificar la ruta
*** en la que se encuentra ya sea la base de Datos Generales o la de Vivienda y Hogares

*** En la base de migracin hay una modificacin en una de las variabes que utilizan como llave
*** esto se debe a que la variable relativa al nmero de registro de la persona en esta base es p7_2a y en la de datos generales es p3_1  

*** Para realizar el pegado de las variables de las bases de Datos Generales y de Vivienda y Hogares
*** se cre una variable llave y las bases se ordenaron de acuerdo a esta llave y al nmero de registro de la persona en la base de datos generales.
*** Las bases de vivienda y hogares, y la de mortalidad solamente se ordenaron de acuerdo a la variable llave

*** La sintaxis de los pasos seguidos es la siguiente:


** 1. ORDENAR las bases de datos en forma ascendente, con base en 4 variables

SORT CASES BY
  ent (A) mun (A) zona (A) estrato (A).


** 2. CREAR UNA VARIABLE LLAVE. Es de tipo cadena porque todas las variables involucradas son de ese tipo

STRING llave (A20).
COMPUTE llave = CONCAT(ent, mun,zona,estrato,upm,f_viv,hogar) .
Variable Labels llave 'llave Variable llave para pegar bases de datos'.
EXECUTE .


** 3. ORDENAR las bases de datos de forma ascendente de acuerdo a las variables llave y p3_1

SORT CASES BY
  llave (A) p3_1 (A) .


******************************************************************************************************************************************
*** 1. A LA BASE DE HISTORIA DE EMBARAZOS PEGAR VARIABLES DE LA BASE DE DATOS GENERALES***
******************************************************************************************************************************************

MATCH FILES /FILE=*
 /TABLE='C:\Usuarios\ENADID97_dat-gen.sav'
 /RENAME (ent estrato f_viv fac_viv hogar mun p3_10a p3_10b p3_11a p3_12 p3_4
  p3_6 p3_8 p3_9 p4_1a p4_1c p4_1e p4_2 p4_4 p4_5a p4_5b p4_6a p4_6b p4_7
  p4_8a p4_8b p4_9a p4_9b p6_11 p6_12 p6_13a p6_13b p6_14a p6_14b p6_15 p6_16
  p6_2 tam_loc upm zona = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14
  d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33
  d34 d35 d36 d37 d38 d39)
 /BY llave p3_1
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38
  d39.
EXECUTE.



******************************************************************************************************************************************
*** 2. A LA BASE DE HISTORIA DE EMBARAZOS PEGAR VARIABLES DE LA BASE DE VIVIENDA Y HOGARES ***
******************************************************************************************************************************************

MATCH FILES /FILE=*
 /TABLE='C:\Usuarios\ENADID97_viv-hog.sav'
 /RENAME (ent estrato f_viv fac_viv fent_mes hogar ingmenth mun p2_2 p2_3
  p3_3a p3_3c p6_10mh p6_8mh p7_11a p7_11b p8_1a p8_1b p8_4 tam_loc tip_hog
  upm zona = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18
  d19 d20 d21 d22)
 /BY llave
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22.
EXECUTE.


